<?php  
if ( ! defined( 'ABSPATH' ) ) exit;
$nonce = wp_create_nonce( 'erp-nonce' );

global $wpdb;
 $event_display_settings=array();
 $event_display_settings = get_option("erp_event_display_settings"); 
 $dateformat=$event_display_settings['erp_event_display_settings_formatdate'];
 $timeformat=$event_display_settings['erp_event_display_settings_formattime'];

$event_registration_settings=array();
$event_registration_settings = get_option("erp_event_registration_settings"); 
$free_event=$event_registration_settings['erp_event_registration_settings_default_userstatus_free_events'];
$include_pending_reg=$event_registration_settings['erp_event_registration_settings_include_pending_reg'];
$timezone=$event_display_settings['erp_event_display_settings_timezone_offset'];
date_default_timezone_set($timezone);

	 $single_post = $wpdb->get_results(' SELECT * FROM '.$wpdb->posts.' WHERE post_type="erp_event" AND ID="'.$event_id.'"');
		//echo '<pre>';	print_r($single_post);	echo '</pre>';
		$terms = get_terms( array(
		'taxonomy' => 'erp-event-category',
		'hide_empty' => false,
	) );
	
	$args = array(											
			'post_type' => 'register_events',
			'posts_per_page' => '-1',
			'meta_query'     => array(
					array (
					   'key'     => 'accepted',
					   'value'   =>1,
					   'compare' => '=',
					 ),
					 array (
					   'key'     => 'post_id',
					   'value'   =>$event_id,
					   'compare' => '=',
					 )
				),
		); 	
		
$res = new WP_Query( $args );
 $register_count= $res->post_count;
$args = array(											
			'post_type' => 'register_events',
			'posts_per_page' => '-1',
			'meta_query'     => array(
					
					 array (
					   'key'     => 'post_id',
					   'value'   =>$event_id,
					   'compare' => '=',
					 )
				),
		); 	
		
$rec = new WP_Query( $args );
$total_count= $rec->post_count;

foreach($single_post as $spost){
		$meta =get_post_meta($spost->ID);
		
		$single_post_event_location = $wpdb->get_results(' SELECT * FROM '.$wpdb->posts.' WHERE post_type="erp_locations" AND ID="'.$meta['erp_event_location'][0].'"');
	
	
		?>
        
<div class="admin-event-page ">

        <div class="col-md-12">
        <h3><?php echo $spost->post_title;?> - Details</h3>
            <div class="col-md-4">
            
              <div class=" border_grid">
                <h4>Registration Start:</h4>
                    <div class="date_limit"><i class="fa fa-calendar" aria-hidden="true"></i>
                    <?php echo dateformat_function($meta['erp_event_registration_starts_date'][0]). ' - ' . dateformat_function($meta['erp_event_registration_ends_date'][0]); ?>
                    </div>
                <div class="time_limit"><i class="fa fa-clock-o" aria-hidden="true"></i>  
               	 <?php echo date($timeformat, strtotime($meta['erp_event_registration_starts_time'][0])). ' - ' . date($timeformat, strtotime($meta['erp_event_registration_ends_time'][0])); ?>			     </div>		
                </div>
            
            </div>
        
        <div class="col-md-4">
        <div class=" border_grid">
        <div class="event_location" itemprop="name">
        <h4><?php echo __( 'Event Location:', 'event-registration-pro' );?> </h4>
        <?php 
        foreach($single_post_event_location as $loc_post){
        
        $loc_meta =get_post_meta($loc_post->ID); 
        echo '<h4><a itemprop="url" href="'. $loc_meta["erp_event_location_manager_location_url"][0].'" target="_blank"> 
                '.$loc_post->post_title.'</a></h4>';						
        echo '<p>'. apply_filters('the_content',$loc_post->post_content).'</p>';
               
        }	
        ?>
          
        </div>
        </div>
        </div>
        
        <div class="col-md-4">
        <div class=" border_grid">
        <div class="event_date">
        <h4><?php echo __( 'Event Start and End Datetime', 'event-registration-pro' );?></h4>
        <i class="fa fa-calendar" aria-hidden="true"></i>  <?php echo dateformat_function($meta['erp_event_date'][0]). ' - ' . dateformat_function($meta['erp_event_enddate'][0]); ?></div>		
        <div class="event_time">
          <i class="fa fa-clock-o" aria-hidden="true"></i>
           <?php echo date($timeformat, strtotime($meta['erp_event_time'][0])). ' - ' . date($timeformat, strtotime($meta['erp_event_endtime'][0])); ?>					                
        </div>	
        </div>
        </div>
        
        </div>
       <!-- Category Name --> 
           
      <div class="col-md-12">
      	<h3> Category -			<a href="<?php echo get_category_link( $meta['erp_event_category'][0] ); ?>">
                              <?php foreach ( $terms as $term ) {            
                                if($term->term_id == $meta['erp_event_category'][0]){  echo $term->name; }                            
                            }  ?>
                      </a></h3>
      </div>
      <!-- Location Map -->
      
      <div class="col-md-12">
      
      	
        <?php
		foreach($single_post_event_location as $loc_post){
                  
                    //$loc_meta =get_post_meta($loc_post->ID);
                   
                    $street=$loc_meta['erp_event_location_manager_street'][0];
                    $city=$loc_meta['erp_event_location_manager_city_state'][0];
                    $zip=$loc_meta['erp_event_location_manager_zip'][0];
                    $address=$street.','.$city.','.$zip;
                    $formattedAddr = str_replace(' ','+',$address);
                  
                
            ?>	<a href="https://maps.google.com/maps?q=<?php echo $formattedAddr;?>" title="Show Location map " target="_blank">Show Location map </a>
                
            <?php  } ?>
             
      </div>
      <!-- Event Description -->
        <div class="col-md-12">
      
        <h3> <?php echo __( 'Event description:', 'event-registration-pro' );?></h3>
        	 <?php  echo '<p>'. apply_filters('the_content',$spost->post_content).'</p>';?>
        </div>
        
        <div class="col-md-12">
        	   <?php  
			   			/*include pending setting*/
						 if($include_pending_reg=='Yes'){
							 $reg_count=$total_count;
						 }else{
							$reg_count= $register_count;
						 }
						 
						
						/*end*/
						 /*event setting publish and  registration access*/
			  $register_access=strtolower($meta['erp_event_registration_access'][0]);
			 $user = wp_get_current_user();			  
			 $user->roles[0];
			if($view_access==$user->roles[0] OR (!empty($register_access)) OR $register_access=='public'){
				
			    if($meta['erp_event_enable_registration'][0]=='Yes' AND strtotime($meta['erp_event_enddate'][0])>=strtotime(date("m/d/Y"))){
						
						 if($meta['erp_event_max_attendance'][0]>$reg_count OR (empty($meta['erp_event_max_attendance'][0]))){
							
								 $event_reg_start_date= $meta['erp_event_registration_starts_date'][0];
								 $event_reg_start_time=date('H:i', strtotime($meta['erp_event_registration_starts_time'][0]));
								 $event_reg_end_time=date('H:i', strtotime($meta['erp_event_registration_ends_time'][0]));
								 $event_reg_end_date=$meta['erp_event_registration_ends_date'][0]; 
								 $current_date= date("Y-m-d");echo'</br>';
								 $current_time=date("H:i");
								 
								if(strtotime($event_reg_start_date) <= strtotime($current_date) AND strtotime($current_date) <= strtotime($event_reg_end_date)){
									
									if(strtotime($event_reg_start_date) == strtotime($current_date)){
										
											if($event_reg_start_time < $current_time ){
												
														require_once('admin_registration_form.php');
												
											}	
									}else if( strtotime($current_date) == strtotime($event_reg_end_date)){
										
										if($event_reg_end_time > $current_time ){
										
											
							   
												require_once('admin_registration_form.php');
											
										}
									}	
									
								}
								if(strtotime($event_reg_start_date) < strtotime($current_date) AND strtotime($current_date) < strtotime($event_reg_end_date)){
									
											require_once('admin_registration_form.php');
												
											
								}
						}
					}
			    }
			   
				?>
        	
        </div>

        
</div> 
        
<?php } 
		